#%define __libtoolize /bin/true
%define name    ktorrent
%define version 2.0
%define release beta1.1.2006mcnl
%define summary A BitTorrent program for KDE
%define section Internet/File Transfer
%define title   KTorrent

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 

Vendor:         Mandrivaclub.nl
Packager:       Rutger Kroon <ogli@mandrivaclub.nl>

URL:            http://ktorrent.org/
License:        GPL
Group:          Networking/File transfer

Source0:        %{name}-2.0beta1.tar.bz2

BuildArch: 	x86_64

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

Requires:	%{libname} = %{version}
BuildRequires:  gmp-devel
BuildRequires:  arts-devel
BuildRequires:  qt3-devel
BuildRequires:  kdelibs-devel

%description
KTorrent is a BitTorrent program for KDE. 
The current release is 2.0beta1 which adds several big 
features since our previous release. 
Among the new features you can find: 

* Support for distributed hash tables (mainline version)

* Protocol encryption

* Bandwith scheduling

* Directory scanner to automatically load torrents in certain directories

* Trackers can now be added to torrents

* File prioritization for multi file torrents

And ofcourse a whole bunch of bug fixes. 
We already supported the following features in the previous version : 

* Downloads torrent files

* Upload and dowload speed capping

* Internet searching using various search engines, 
  you can even add your own UDP Trackers

* Port forwarding with UPnP

* IP blocking plugin

* Importing of partially or fully downloaded files

#Conflicts :

%package -n %{libname}
Summary:	%name library
Group:		Graphical desktop/KDE
Provides:	%{libname_orig} = %{version}-%{release}
Requires:	%name = %version-%release

%description -n %{libname}
Library for %name

%package -n %{libname}-devel
Summary:	Headers of %name for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}

%description -n %{libname}-devel
Headers of %{name} for development.


%prep
rm -rf %{buildroot}

%setup -q -n %{name}-2.0beta1

%build
make -f admin/Makefile.common
%configure2_5x --prefix=/usr \
               --disable-rpath \
               --disable-debug \
               --enable-mt \
               --enable-shared \
               --disable-static \
               --disable-objprelink \
	       --with-pic \
	       --with-gnu-ld \
	       --disable-rpath \
	       --disable-embedded \
	       --enable-fast-install=yes \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
	       --with-qt-dir=%{_prefix}/lib/qt3 \
	       --with-xinerama \
	       --enable-final

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# Prevents conflict with kdelibs-common
rm -f %{buildroot}%{_datadir}/mimelnk/application/x-bittorrent.desktop
# Remove invalid-lc-messages in rpmlint
rm -rf %{buildroot}%{_datadir}/locale/rw/
rm -rf %{buildroot}%{_datadir}/locale/pa/

#icons
%define  nameicon apps/ktorrent/hi128-app-%name.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
title="%title" \
longtitle="%summary" \
needs="X11" \
section="%section" \
icon="%name.png" \
EOF


%post
%update_menus

%postun
%clean_menus

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean 

rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,0755) 
%doc README COPYING AUTHORS INSTALL TODO

%{_bindir}/%name
%{_bindir}/ktcachecheck
%{_bindir}/kttorinfo
%{_bindir}/ktupnptest
%{_menudir}/%name

%{_datadir}/applications/kde/%name.desktop
%{_datadir}/applnk/Internet/%name.desktop
%{_datadir}/apps/%{name}/geoip/FLAGS_LICENCE
%{_datadir}/apps/%{name}/geoip/GeoIP-LICENSE.txt
%{_datadir}/apps/%{name}/geoip/*.png
%{_datadir}/apps/%{name}/geoip/*.dat
%{_datadir}/apps/%{name}/icons/*.png
%{_datadir}/apps/%{name}/icons/hicolor/*/actions/*.png
%{_datadir}/apps/%{name}/icons/hicolor/64x64/filesystems/*.png
%{_datadir}/apps/%{name}/*.rc
%{_datadir}/config.kcfg/*.kcfg

%{_iconsdir}/hicolor/*/apps/%name.png
%{_iconsdir}/hicolor/*/mimetypes/torrent.png
%{_iconsdir}/hicolor/scalable/apps/*.svgz
%{_iconsdir}/hicolor/scalable/mimetypes/*.svgz
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_liconsdir}/%name.png

%{_datadir}/locale/bg/LC_MESSAGES/%name.mo
%{_datadir}/locale/br/LC_MESSAGES/%name.mo
%{_datadir}/locale/cs/LC_MESSAGES/%name.mo
%{_datadir}/locale/cy/LC_MESSAGES/%name.mo
%{_datadir}/locale/da/LC_MESSAGES/%name.mo
%{_datadir}/locale/de/LC_MESSAGES/%name.mo
%{_datadir}/locale/el/LC_MESSAGES/%name.mo
%{_datadir}/locale/en_GB/LC_MESSAGES/%name.mo
%{_datadir}/locale/es/LC_MESSAGES/%name.mo
%{_datadir}/locale/et/LC_MESSAGES/%name.mo
%{_datadir}/locale/fr/LC_MESSAGES/%name.mo
%{_datadir}/locale/ga/LC_MESSAGES/%name.mo
%{_datadir}/locale/hu/LC_MESSAGES/%name.mo
%{_datadir}/locale/it/LC_MESSAGES/%name.mo
%{_datadir}/locale/ja/LC_MESSAGES/%name.mo
%{_datadir}/locale/ka/LC_MESSAGES/%name.mo
%{_datadir}/locale/lt/LC_MESSAGES/%name.mo
%{_datadir}/locale/nl/LC_MESSAGES/%name.mo
#%{_datadir}/locale/pa/LC_MESSAGES/%name.mo
%{_datadir}/locale/pl/LC_MESSAGES/%name.mo
%{_datadir}/locale/pt/LC_MESSAGES/%name.mo
%{_datadir}/locale/pt_BR/LC_MESSAGES/%name.mo
%{_datadir}/locale/ru/LC_MESSAGES/%name.mo
#%{_datadir}/locale/rw/LC_MESSAGES/%name.mo
%{_datadir}/locale/sr/LC_MESSAGES/%name.mo
%{_datadir}/locale/sr@Latn/LC_MESSAGES/%name.mo
%{_datadir}/locale/sv/LC_MESSAGES/%name.mo
%{_datadir}/locale/tr/LC_MESSAGES/%name.mo
%{_datadir}/locale/uk/LC_MESSAGES/%name.mo
%{_datadir}/locale/zh_CN/LC_MESSAGES/%name.mo
%{_datadir}/services/*.desktop
%{_datadir}/servicetypes/ktorrentplugin.desktop
#%{_datadir}/mimelnk/application/*.desktop


%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/libktorrent.la
%{_libdir}/libktorrent.so

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libktorrent.so.0
%{_libdir}/libktorrent.so.0.0.0


%changelog 
* Wed Jun 07 2006 Rutger Kroon <ogli@mandrivaclub.nl> 2.0-beta1.1.2006mcnl
- added lib64ktorrent to requires

* Mon May 29 2006 Rutger Kroon <ogli@mandrivaclub.nl> 2.0-beta1.1.1.2006mcnl
- First version for Mandrivaclub.nl x86_64
